/*
 *  Copyright (C) 2006  UCOT
 *
 *  Distributed under the terms of the MIT License.
 *  See "LICENCE" or http://www.opensource.org/licenses/mit-license.php for details.
 */
package ucot.input;

import java.net.URL;

import ucot.Messages;
import ucot.ModuleProperties;
import ucot.exceptions.FileFormatNotSupportedException;

/**
 * <p>
 * DummyInput which does absolutely nothing but helps
 * avoiding null values in input variables.
 * </p>
 * 
 * @author tujupien
 */
public class DummyInput extends ModuleProperties implements
        InputInterface {

    /**
     * @see ucot.input.InputInterface#read(java.net.URL)
     */
    public UseCaseCollection read(URL url) throws Exception {
        throw new FileFormatNotSupportedException(Messages
                .getString("FILEFORMAT_NOT_SUPPORTED"));
    }

    /**
     * @see ucot.input.InputInterface#canRead(java.net.URL)
     */
    public boolean canRead(URL url) {
        return false;
    }

}
