/*
 *  Copyright (C) 2006  UCOT
 *
 *  Distributed under the terms of the MIT License.
 *  See "LICENCE" or http://www.opensource.org/licenses/mit-license.php for details.
 */
package ucot.ui.gui.tree.analyzemodeltree;

import javax.swing.Icon;

/**
 * <p>
 * This class represents entity object that resides as an
 * attribute in the analyze model tree.
 * </p>
 * 
 * @author pajumasu
 * 
 */
public class AttributeTreeItem extends
        AbstractEntityTreeItem {

    /**
     * Constructs the object.
     * 
     * @param name
     *            The name of the attribute entity.
     * @param model
     *            The <code>TreeModel</code> this item
     *            belongs to.
     * @param parent
     *            The parent node.
     */
    public AttributeTreeItem(String name,
            AnalyzeTreeModel model, TreeItem parent) {
        super(name, model, parent);
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.gui.tree.analyzemodeltree.TreeItem#getIcon()
     */
    @Override
    public Icon getIcon() {
        return AnalyzeModelTree.attributeIcon;
    }

}
