/*
 *  Copyright (C) 2006  UCOT
 *
 *  Distributed under the terms of the MIT License.
 *  See "LICENCE" or http://www.opensource.org/licenses/mit-license.php for details.
 */
package ucot.ui.gui.tree.analyzemodeltree;

import javax.swing.Icon;

/**
 * <p>
 * This class represents entity tree item.
 * </p>
 * 
 * @author pajumasu
 * 
 */
public class EntityTreeItem extends AbstractEntityTreeItem {

    /**
     * <p>
     * Constructs the object.
     * </p>
     * 
     * @param name
     *            The name of the entity.
     * @param model
     *            The <code>TreeModel</code> this item
     *            belongs to.
     * @param parent
     *            The paren of this node.
     */
    public EntityTreeItem(String name,
            AnalyzeTreeModel model, TreeItem parent) {
        this(name, model, parent, true);
    }

    /**
     * <p>
     * Constructs the object.
     * </p>
     * 
     * @param name
     *            The name of the entity.
     * @param model
     *            The <code>TreeModel</code> this item
     *            belongs to.
     * @param parent
     *            The paren of this node.
     * @param expand
     *            Should the node be expandable (Show childs
     *            or not).
     */
    public EntityTreeItem(String name,
            AnalyzeTreeModel model, TreeItem parent,
            boolean expand) {
        super(name, model, parent);
        this.expand = expand;
    }

    @Override
    public Icon getIcon() {
        return AnalyzeModelTree.entityIcon;
    }
}
